

**Server README**
================

**Übersicht**
------------

Dieser Server ist eine Webanwendung, die mit Node.js und Express.js erstellt wurde. Er bietet eine API für Benutzerregistrierung und -anmeldung sowie eine geschützte Route für autorisierte Benutzer.

**Anforderungen**
---------------

* Node.js (Version 14 oder höher)
* Express.js (Version 4 oder höher)
* PostgreSQL-Datenbank (mit pg-Modul)

**Konfiguration**
----------------

* Die Datenbankverbindung wird über Umgebungsvariablen konfiguriert (siehe `.env`-Datei).
* Der Server läuft standardmäßig auf Port 3000.

**API-Endpunkte**
-----------------

* `/auth/register`: Registrierung eines neuen Benutzers
* `/auth/login`: Anmeldung eines bestehenden Benutzers
* `/mitglieder`: Geschützte Route für autorisierte Benutzer

**Middleware**
-------------

* `authenticateToken`: Überprüft den JWT-Token in der Authorization-Header

**Datenbank**
------------

* Die Datenbank wird mit dem pg-Modul verbunden.
* Die Tabellen werden automatisch erstellt, wenn der Server gestartet wird.

**Starten des Servers**
----------------------

* `npm start` oder `node server/app.js`

**Hinweis**
---------

* Bitte stellen Sie sicher, dass Sie die `.env`-Datei mit Ihren eigenen Datenbankzugangsdaten konfiguriert haben.
* Bitte beachten Sie, dass dies ein Beispielprojekt ist und Sie es an Ihre eigenen Bedürfnisse anpassen sollten.